
	MODULE  chunkModule

          TYPE, PUBLIC :: chunk_type
            INTEGER h,w
            REAL(KIND=8), dimension(:,:), pointer :: t
          END TYPE chunk_type

        END MODULE chunkModule

